Loading...
Searching...
No Matches
namespace.h File Reference

Namespace functions, C interface. More...

`#include <l4/re/env.h>`
`#include <l4/sys/compiler.h>`
Include dependency graph for namespace.h:

Go to the source code of this file.

## Enumerations

enum | l4re_ns_register_flags
| Namespace register flags. More...

## Functions

long | l4re_ns_query_to_srv (l4re_namespace_t srv, char const *name, l4_cap_idx_t const cap, int timeout) L4_NOTHROW
| Query the name space for the object named by name.
long | l4re_ns_query_srv (l4re_namespace_t srv, char const *name, l4_cap_idx_t const cap) L4_NOTHROW
| Query the name space for the object named by name.
long | l4re_ns_register_obj_srv (l4re_namespace_t srv, char const *name, l4_cap_idx_t const obj, unsigned flags) L4_NOTHROW
| Register an object with a name.

## Variables

L4_BEGIN_DECLS typedef l4_cap_idx_t | l4re_namespace_t
| Namespace type.

## Detailed Description

Namespace functions, C interface.

Definition in file namespace.h.